{
  "name": "@antv/interaction",
  "version": "0.1.5",
  "description": "interaction plugins for AntV products",
  "browser": "build/interaction.js",
  "main": "build/interaction.js",
  "module": "lib/index.js",
  "repository": {
    "type": "git",
    "url": "git@github.com:antvis/interaction.git"
  },
  "bugs": {
    "url": "https://github.com/antvis/interaction/issues"
  },
  "keywords": [
    "antv",
    "interaction",
    "interaction"
  ],
  "author": "https://github.com/orgs/antvis/people",
  "license": "MIT",
  "devDependencies": {
    "babel-cli": "~6.26.0",
    "babel-core": "~6.26.0",
    "babel-eslint": "~8.0.3",
    "babel-loader": "~7.1.4",
    "babel-plugin-transform-remove-strict-mode": "~0.0.2",
    "babel-preset-env": "~1.6.1",
    "body-parser": "~1.18.2",
    "chai": "~4.1.2",
    "commander": "~2.12.2",
    "connect": "~3.6.6",
    "d3-queue": "~3.0.7",
    "debug": "~3.1.0",
    "electron": "~2.0.2",
    "eslint": "~3.19.0",
    "eslint-config-airbnb": "~15.0.1",
    "eslint-config-egg": "~4.2.0",
    "eslint-plugin-html": "~3.1.1",
    "eslint-plugin-jsx-a11y": "~5.1.1",
    "eslint-plugin-react": "~7.1.0",
    "event-simulate": "~1.0.0",
    "get-port": "~3.2.0",
    "jszip": "~3.1.5",
    "nightmare": "~2.10.0",
    "nunjucks": "~3.0.1",
    "open": "~0.0.5",
    "parseurl": "~1.3.2",
    "pre-commit": "~1.2.2",
    "serve-static": "~1.13.2",
    "shelljs": "~0.7.8",
    "string-replace-loader": "~1.3.0",
    "torchjs": "~2.0.4",
    "uglify-js": "~3.1.10",
    "webpack": "~3.10.0"
  },
  "scripts": {
    "build": "webpack",
    "build-lib": "babel src --out-dir lib",
    "bundler": "electron ./bundler/app.js",
    "ci": "npm run lint && npm run test",
    "compress": "uglifyjs -c -m -o dist/interaction.min.js -- build/interaction.js",
    "coverage": "npm run coverage-generator && npm run coverage-viewer",
    "coverage-generator": "torch --compile --coverage --renderer --source-pattern src/*.js,src/**/*.js --recursive test/unit",
    "coverage-viewer": "torch-coverage",
    "demos": "electron ./demos/app.js",
    "demos-web": "node ./demos/app.js --web --port 2046",
    "dev": "npm run watch & npm run demos-web",
    "dist": "npm run mkdir-dist && npm run build && npm run compress",
    "lint": "eslint --ext .html,.js ./",
    "lint-fix": "eslint --ext .html,.js --fix ./",
    "mkdir-dist": "node ./bin/mkdir-dist.js",
    "prepublishOnly": "npm run build-lib && npm run dist",
    "screenshot": "node ./bin/screenshot.js",
    "start": "npm run dev",
    "test": "torch --compile --renderer --recursive ./test/unit",
    "test-all": "npm run test && npm run test-bugs",
    "test-bugs": "torch --compile --renderer --recursive ./test/bugs",
    "test-bugs-live": "torch --compile --interactive --watch --recursive ./test/bugs",
    "test-live": "torch --compile --interactive --watch --recursive ./test/unit",
    "watch": "webpack --config webpack-dev.config.js",
    "win-dev": "node ./bin/win-dev.js"
  },
  "pre-commit": {
    "run": [
      "lint",
      "build",
      "test"
    ],
    "silent": false
  },
  "dependencies": {
    "@antv/g": "3.1.0-beta.6",
    "@antv/util": "~1.0.11"
  }
}
